Get Project

Get Project
Retrieves a project

Retrieves a project by id.

Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/project-service/api/projects/{id}
COPY
Path Parameters
string
id
Required

The id of the project.

Query Parameters
string of array
withAnyPermission
Optional

Optional permissions that, if granted to the users, allow them access to the proper set of projects. If the user actually has any of those permissions, the 'excludeViewer' parameter has no effect.

string
apiVersion
Optional
Constraints: default: 2019-01-15

The version of the API in yyyy-MM-dd format. For versioning information refer to /project-service/api/about.


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with the Project

Returns Project of type(s) */*
{
    "id": "string",
    "name": "my-name",
    "description": "my-description",
    "orgId": "string",
    "administrators": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "members": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "viewers": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "supervisors": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "users": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "auditors": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "advancedUsers": [
        {
            "email": "[email protected]",
            "type": "user"
        }
    ],
    "constraints": {
        "network": {
            "conditions": [
                {
                    "type": "TAG",
                    "enforcement": "HARD",
                    "occurrence": "MUST_OCCUR",
                    "expression": {
                        "key": "key",
                        "value": "value"
                    }
                }
            ]
        }
    },
    "properties": {
        "myproperty": "enforcement",
        "__projectPlacementPolicy": "SPREAD",
        "__namingTemplate": "my-resource-template",
        "__allowTerraformCloudzoneMapping": "true"
    },
    "cost": {
        "cost": "number",
        "costSyncTime": "2011-12-03T10:15:30Z",
        "costUnit": "USD",
        "message": "string",
        "code": "string"
    },
    "operationTimeout": 0,
    "sharedResources": false
}

403

Forbidden, the user lacks permissions

Operation doesn't return any data structure

404

'Not found' if no project with the provided id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/project-service/api/projects/{id}